### ✨ New Features
* Added stash-box performer tagger.
* Auto-tagger now tags images and galleries.
* Added rating field to performers and studios.
* Support serving UI from specific directory location.
* Added details, death date, hair color, and weight to Performers.
* Added `lbToKg` post-process action for performer scrapers.
* Added details to Studios.
* Added [perceptual dupe checker](/sceneDuplicateChecker).
* Add various `count` filter criteria and sort options.
* Add URL filter criteria for scenes, galleries, movies, performers and studios.
* Add HTTP endpoint for health checking at `/healthz`.
* Add random sorting option for galleries, studios, movies and tags.
* Support access to system without logging in via API key.
* Added scene queue.

### 🎨 Improvements
* Improve sprite generation performance when using network storage.
* Remove duplicate values when scraping lists of elements.
* Improved performance of the auto-tagger.
* Clean generation artifacts after generating each scene.
* Log message at startup when cleaning the `tmp` and `downloads` generated folders takes more than one second.
* Sort movie scenes by scene number by default.
* Support http request headers in scrapers.
* Sort performers by gender in scene/image/gallery cards and details.
* Add popover buttons for scenes/images/galleries on performer/studio/tag cards.
* Add slideshow to image wall view.
* Support API key via URL query parameter, and added API key to stream link in Scene File Info.
* Revamped setup wizard and migration UI.
* Scroll to top when changing page number.
* Support `today` and `yesterday` for `parseDate` in scrapers.
* Disable sounds on scene/marker wall previews by default.
* Improve Movie UI.
* Change performer text query to search by name and alias only.

### 🐛 Bug fixes
* Fix image/gallery title not being set during scan.
* Reverted video previews always playing on small devices.
* Fix performer/studio being cleared when skipped in scene tagger.
* Fixed error when auto-tagging for performers/studios/tags with regex characters in the name.
* Fix scraped performer image not updating after clearing the current image when creating a new performer.
* Fix error preventing adding a new library path when an existing library path is missing.
* Fix whitespace in query string returning all objects. 
* Fix hang on Login page when not connected to internet.
* Fix `Clear Image` button not updating image preview.
* Fix processing some webp files.
* Fix incorrect performer age calculation in UI.
